dbXML API

## org.dbxml.tools.command
Class AddMultipleDocuments

    java.lang.Object
      |
      +--org.dbxml.tools.command.Command
            |
            +--org.dbxml.tools.command.AddMultipleDocuments

public class AddMultipleDocuments
extends Command

AddMultipleDocuments.java is designed to let the user add several Documents to an existing Collection at one time. Documents are added with an ID the same as the file name. This command assumes that the collection being added to already exists!

Fields inherited from class org.dbxml.tools.command.Command
`COLLECTIONURI, DBXML_NAME_INDEXER, DBXML_VAL_INDEXER, DBXMLURI, XMLDBAPIVERSION`

Constructor Summary
`AddMultipleDocuments()`

Method Summary
`boolean` `execute(java.util.Hashtable table)`

Methods inherited from class org.dbxml.tools.command.Command
`normalizeCollectionURI, normalizeDbXmlURI`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AddMultipleDocuments

    public AddMultipleDocuments()

Method Detail

### execute

    public boolean execute(java.util.Hashtable table)
                    throws java.lang.Exception

  Overrides:
    `execute` in class `Command`

dbXML API

Copyright (c) 1999-2001 The dbXML Group, All rights reserved